package com.zanxiang.game.gs.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Data
public class BigRVO {
    @ApiModelProperty("游戏ID")
    private Integer gameId;
    @ApiModelProperty("角色ID")
    private String roleId;

    /**
     * 角色名称
     */
    @ApiModelProperty("角色名称")
    private String roleName;

    /**
     * 区服ID
     */
    @ApiModelProperty("区服ID")
    private String serverId;

    @ApiModelProperty("区服名称")
    private String serverName;

    /**
     * 父游戏ID
     */
    @ApiModelProperty("父游戏ID")
    private Integer parentGameId;
    @ApiModelProperty("父游戏名称")
    private String parentGameName;

    /**
     * 父用户ID
     */
    @ApiModelProperty("父用户ID")
    private Long associationUserId;

    /**
     * 角色vip
     */
    @ApiModelProperty("角色vip")
    private Integer roleVip;

    /**
     * 角色等级
     */
    @ApiModelProperty("角色等级")
    private Integer roleLevel;

    /**
     * 角色攻击力
     */
    @ApiModelProperty("角色攻击力")
    private Long combatNum;

    /**
     * 国家
     */
    @ApiModelProperty("国家")
    private String country;

    /**
     * 角色创建时间
     */
    @ApiModelProperty("角色创建时间")
    private LocalDateTime roleTime;
    @ApiModelProperty("角色创角天数")
    private Long roleCreateDayDiff;
    @ApiModelProperty("角色最近充值时间距今")
    private Long lastOrderDayDiff;
    @ApiModelProperty("角色最近活跃时间距今")
    private Long roleActiveDayDiff;

    /**
     * 角色首充金额
     */
    @ApiModelProperty("角色首充金额")
    private BigDecimal firstAmount;

    /**
     * 创角24小时付费金额
     */
    @ApiModelProperty("创角24小时付费金额")
    private BigDecimal roleHourAmount;

    /**
     * 角色最近充值金额
     */
    @ApiModelProperty("角色最近充值金额")
    private BigDecimal lastAmount;

    /**
     * 角色最近充值时间
     */
    @ApiModelProperty("角色最近充值时间")
    private LocalDateTime lastOrderTime;

    /**
     * 角色最近充值产品
     */
    @ApiModelProperty("角色最近充值产品")
    private String productName;

    /**
     * 角色累计充值金额
     */
    @ApiModelProperty("角色累计充值金额")
    private BigDecimal totalAmount;

    /**
     * 角色累计充值次数
     */
    @ApiModelProperty("角色累计充值次数")
    private Integer totalCnt;

    /**
     * 角色最近活跃时间
     */
    @ApiModelProperty("角色最近活跃时间")
    private LocalDateTime activeTime;

    /**
     * 小程序充值金额
     */
    @ApiModelProperty("小程序充值金额")
    private BigDecimal appAmount;

    /**
     * 角色转端充值比
     */
    @ApiModelProperty("角色转端充值比")
    private BigDecimal proportion;

    /**
     * 角色当天充值金额
     */
    @ApiModelProperty("角色当天充值金额")
    private BigDecimal todayAmount;

    /**
     * 角色当天充值次数
     */
    @ApiModelProperty("角色当天充值次数")
    private Integer todayCount;

    /**
     * 游戏充值比
     */
    @ApiModelProperty("游戏充值比")
    private BigDecimal gameProportion;

    /**
     * 区服充值比
     */
    @ApiModelProperty("区服充值比")
    private BigDecimal serverProportion;

    @ApiModelProperty("GS名称")
    private String gsName;
    @ApiModelProperty("GS ID")
    private Long gsId;

    @ApiModelProperty("GS组名称")
    private List<String> gsGroupName;
}
